Get payment instruction by ID
GET
https://beta-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}
Path Parameters
- paymentInitiationUIDstringrequiredExampleDescriptionDefaultMONPIR12345Pattern^[A-Za-z0-9_-]{1,35}$
Responses
200
- PAS.Application.Common.Dtos.GetPaymentInstructionByIdResponseExample
{ "traceId": "1dabfaa9-abe8-4d2d-a69a-b723079d84ed", "paymentInitiationDetail": { "paymentAgreementUID": "MONPAG12345", "paymentInitiationUID": "MONPIR12345", "mmsId": "a9ba56f64baa1dee9ac2d7f87c2621fa", "nppInstructionId": "MOPYAUS1XXXI20241119004756058205270", "paymentInitiationStatus": "ACSC", "paymentInitiationStatusDescription": "Accepted Settlement Completed", "subMerchantId": "93bf57eb1e2c42cf8101509b4356741e", "payeeMCCCode": "5968", "ultimatePayeeMCCCode": "5968", "batchInformation": { "clientBatchIdentification": "MONBAT12345", "batchBookingIndicator": false, "numberOfTransactions": "3", "batchAmount": "150.00", "batchIdExpiry": "2026-11-30T23:59:59+11:00", "nppBatchIdentification": "MOPYAUS1XXXB20261030000000123456789" } } }Description- traceIdstringExampleDescriptionDefault1dabfaa9-abe8-4d2d-a69a-b723079d84edPattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- paymentInitiationDetailPAS.Application.PaymentInstructions.Models.PaymentInstructionStatusResponseDtoDescription
- paymentAgreementUIDstringExampleDescriptionDefaultMONPAG12345Pattern^[a-zA-Z0-9_-]{1,35}$
- paymentInitiationUIDstringExampleDescriptionDefaultMONPIR12345Pattern^[a-zA-Z0-9_-]{1,35}$
- scheduleIdstringExampleDescriptionDefaultMONSCH12345Pattern^[a-zA-Z0-9_-]{1,36}$
- mmsIdstringExampleDescriptionDefaulta9ba56f64baa1dee9ac2d7f87c2621faPattern^[a-f0-9]{32}$
- nppInstructionIdstringExampleDescriptionDefaultMOPYAUS1XXXI20241119004756058205270Pattern^[A-Za-z0-9]{1,35}$
- paymentInitiationStatusstringExampleDescriptionDefaultACSCPattern^(INPR|SENT|SAFD|ACCP|ACSP|ACSC|RJCT|RECV|UNDV)$
- paymentInitiationStatusDescriptionstringExampleDescriptionDefaultAccepted Settlement CompletedPattern^.+$
- statusReasonCodestringExampleDescriptionDefaultR016Pattern^R(0(0[1-9]|[1-6][0-9]|7[0-2])|2([0-2][0-9]|3[0-2])|999)$
- statusReasonDescriptionstringExampleDescriptionDefaultAmount of funds available to cover specified message amount is insufficientPattern^.+$
- payrollPaymentDatestringExampleDescriptionDefault2026-11-13Pattern^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$
- subMerchantIdstringExampleDescriptionDefault93bf57eb1e2c42cf8101509b4356741ePattern^[ -~]{1,35}$
- payeeMCCCodestringExampleDescriptionDefault5968Pattern^[0-9]{4}$
- ultimatePayeeMCCCodestringExampleDescriptionDefault5968Pattern^[0-9]{4}$
- batchInformationPAS.Application.Common.Dtos.BatchInformationDtoOutDescription
- clientBatchIdentificationstringrequiredExampleDescriptionDefaultMONBAT12345Pattern^[a-zA-Z0-9_-]{1,40}$
- batchBookingIndicatorbooleanDescriptionDefaultfalsePattern^(true|false)$
- numberOfTransactionsstringExampleDescriptionDefault3Pattern^[0-9]{1,15}$
- batchAmountstringExampleDescriptionDefault150.00Pattern^(?=.{1,19}$)(?=.*[0-9])[0-9]{0,18}(\.[0-9]{0,2})?$
- batchIdExpirystringExampleDescriptionDefault2026-11-30T23:59:59+11:00Pattern^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(\.\d{1,7})?(Z|[+-]([01]\d|2[0-3])(:?[0-5]\d)?)?$
- nppBatchIdentificationstringExampleDescriptionDefaultMOPYAUS1XXXB20261030000000123456789Pattern^[A-Za-z0-9]{1,35}$
400
- PAS.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAS_PMT_UID_INVALID", "errorMessage": "paymentInitiationUID MONPIR.12345 must match ^[A-Za-z0-9_-]{1,35}$" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsPAS.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_AMT_REQUIREDPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.amount is requiredPattern^.+$
401
403
- PAS.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAS_FORBIDDEN_ERROR", "errorMessage": "Not allowed to get payment instruction for account 6279059778044302" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsPAS.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_AMT_REQUIREDPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.amount is requiredPattern^.+$
404
- PAS.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAS_INSTRUCTION_NOT_FOUND", "errorMessage": "PaymentInstruction MONPIR12345 is not found" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsPAS.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_AMT_REQUIREDPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.amount is requiredPattern^.+$
500
- PAS.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAS_UNEXPECTED_ERROR", "errorMessage": "Internal server error. Please contact Monoova support." } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsPAS.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_AMT_REQUIREDPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.amount is requiredPattern^.+$
502
- PAS.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAS_NPP_GATEWAY_ERROR", "errorMessage": "Error returned from NPP gateway - service unavailable" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsPAS.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_AMT_REQUIREDPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.amount is requiredPattern^.+$
504
- PAS.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAS_NPP_GATEWAY_TIMEOUT", "errorMessage": "Timeout calling NPP gateway" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsPAS.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_AMT_REQUIREDPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.amount is requiredPattern^.+$
curl
curl --request GET \
--url https://beta-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://beta-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://beta-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://beta-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK. Returns the payment instruction and its current status.
{
"traceId": "1dabfaa9-abe8-4d2d-a69a-b723079d84ed",
"paymentInitiationDetail": {
"paymentAgreementUID": "MONPAG12345",
"paymentInitiationUID": "MONPIR12345",
"scheduleId": "MONSCH12345",
"mmsId": "a9ba56f64baa1dee9ac2d7f87c2621fa",
"nppInstructionId": "MOPYAUS1XXXI20241119004756058205270",
"paymentInitiationStatus": "ACSC",
"paymentInitiationStatusDescription": "Accepted Settlement Completed",
"statusReasonCode": "R016",
"statusReasonDescription": "Amount of funds available to cover specified message amount is insufficient",
"payrollPaymentDate": "2026-11-13",
"subMerchantId": "93bf57eb1e2c42cf8101509b4356741e",
"payeeMCCCode": "5968",
"ultimatePayeeMCCCode": "5968",
"batchInformation": {
"clientBatchIdentification": "MONBAT12345",
"batchBookingIndicator": false,
"numberOfTransactions": "3",
"batchAmount": "150.00",
"batchIdExpiry": "2026-11-30T23:59:59+11:00",
"nppBatchIdentification": "MOPYAUS1XXXB20261030000000123456789"
}
}
}400
// Bad Request. The request failed validation. See errors for details.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_AMT_REQUIRED",
"errorMessage": "paymentDetails.amount is required"
}
]
}401
// Unauthorized. The bearer token is missing, invalid or expired. Bearer tokens are valid for 24 hours; generate a new token and retry.
403
// Forbidden. Your account is not permitted to perform this operation.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_AMT_REQUIRED",
"errorMessage": "paymentDetails.amount is required"
}
]
}404
// Not Found. The payment instruction could not be found.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_AMT_REQUIRED",
"errorMessage": "paymentDetails.amount is required"
}
]
}500
// Internal Server Error. An unexpected error occurred. Contact Monoova support if the problem persists.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_AMT_REQUIRED",
"errorMessage": "paymentDetails.amount is required"
}
]
}502
// Bad Gateway. An upstream service, such as the NPP gateway, returned an error. Retry the request later.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_AMT_REQUIRED",
"errorMessage": "paymentDetails.amount is required"
}
]
}504
// Gateway Timeout. An upstream service, such as the NPP gateway, did not respond in time. Retry the request later.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_AMT_REQUIRED",
"errorMessage": "paymentDetails.amount is required"
}
]
}